apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend-deploy
spec:
  template:
    spec:
      containers:
        - name: web
          env:
            - name: HEADLESS_PROVIDER
              value: medusa

            - name: MEDUSA_BACKEND_URL
              value: http://medusa-svc:9000

            - name: MEDUSA_PUBLISHABLE_KEY
              valueFrom:
                secretKeyRef:
                  name: commerce-storefront
                  key: MEDUSA_PUBLISHABLE_KEY
